summaryrefslogtreecommitdiffstats
path: root/etc/network.subr
diff options
context:
space:
mode:
authorhrs <hrs@FreeBSD.org>2013-07-21 15:26:25 +0000
committerhrs <hrs@FreeBSD.org>2013-07-21 15:26:25 +0000
commit5d72d2ce1e1864fb4cb9432e8b0c72469f83a025 (patch)
tree4fd016277016f2c40e25492a1a917333d0714273 /etc/network.subr
parent9aa295ffbf98b8fc9802c7611e5f0f999a17dd57 (diff)
downloadFreeBSD-src-5d72d2ce1e1864fb4cb9432e8b0c72469f83a025.zip
FreeBSD-src-5d72d2ce1e1864fb4cb9432e8b0c72469f83a025.tar.gz
Do not set ND6_IFF_ACCEPT_RTADV on if_bridge(4) interfaces when
ipv6_enable=yes. MFC after: 3 days
Diffstat (limited to 'etc/network.subr')
-rw-r--r--etc/network.subr28
1 files changed, 23 insertions, 5 deletions
diff --git a/etc/network.subr b/etc/network.subr
index f9c1950..3b13f99 100644
--- a/etc/network.subr
+++ b/etc/network.subr
@@ -113,9 +113,18 @@ ifconfig_up()
# backward compatibility: $ipv6_enable
case $ipv6_enable in
[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
- if ! checkyesno ipv6_gateway_enable; then
- _ipv6_opts="${_ipv6_opts} accept_rtadv"
- fi
+ case $1 in
+ bridge[0-9]*)
+ # No accept_rtadv by default on if_bridge(4)
+ # to avoid a conflict with the member
+ # interfaces.
+ ;;
+ *)
+ if ! checkyesno ipv6_gateway_enable; then
+ _ipv6_opts="${_ipv6_opts} accept_rtadv"
+ fi
+ ;;
+ esac
;;
esac
@@ -550,9 +559,18 @@ ipv6_autoconfif()
[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
if checkyesno ipv6_gateway_enable; then
return 1
- else
- return 0
fi
+ case $1 in
+ bridge[0-9]*)
+ # No accept_rtadv by default on if_bridge(4)
+ # to avoid a conflict with the member
+ # interfaces.
+ return 1
+ ;;
+ *)
+ return 0
+ ;;
+ esac
;;
esac
OpenPOWER on IntegriCloud